
Name:		screengrab
Version:	2.7.0
Release:	%mkrel 1
License:	GPLv2
URL:		https://github.com/lxqt/%{name}
Source0:	https://github.com/lxqt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
Summary:	An application for creating screenshots
Group: 		Graphical desktop/LXQT
BuildRequires:	cmake, qt5gui-devel, 
BuildRequires: lxqt-build-tools >= 0.13.0
BuildRequires: %{_lib}kf5windowsystem-devel

%description
* Screenshot of screen area, window, fullscreen and last selected area
* Delay
* Edit directly in other applications
* Automatic saving; insert date+time in filename
* Fit to edges by right click
* Custom shortcuts

%prep
%setup -q

%build
mkdir build
pushd build
cmake -DCMAKE_BUILD_TYPE=release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
	  -DSG_USE_SYSTEM_QXT=ON \
	  -DBUILD_SHARED_LIBS:BOOL=OFF ..
make
popd

%install
pushd build
make DESTDIR=%{buildroot} install
popd


%post	-p /sbin/ldconfig

%postun	-p /sbin/ldconfig

%files
%doc README.md CHANGELOG AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}.conf
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_docdir}/screengrab/html/*


%changelog
* Sun Nov 12 2023 daniel - 2.7.0-1pclos2023
- new version

* Sat Apr 15 2023 daniel - 2.6.0-1pclos2023
- new version

* Sun Nov 06 2022 daniel - 2.5.0-1pclos2022
- new version

* Thu Apr 21 2022 daniel - 2.4.0-1pclos2022
- import to pclos
